Множественные уязвимости в ClanSphere

Дата публикации:
31.03.2010
Всего просмотров:
963
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
(AV:N/AC:L/Au:S/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:5.5/Temporal:4.1
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ClanSphere 2009.x
Уязвимые версии: ClanSphere версии до 2009.0.3

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "text" в модуле поиска. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за того, что приложение недостаточно проверяет привилегии владельца галереи перед редактированием изображений. Злоумышленник может изменить галереи других пользователей приложения.

URL производителя: www.clansphere.net

Решение: Установите последнюю версию 2009.0.3 с сайта производителя.

Ссылки: http://www.csphere.eu/index/news/view/id/456/
http://trac.csphere.eu/csp/changeset/3453
http://www.packetstormsecurity.com/0907-exploits/clansphere-xss.txt

или введите имя

CAPTCHA